Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.opengis.annotation
Enum Specification

    Object
      Enum<Specification>
          Specification

All Implemented Interfaces:
  Serializable, Comparable<Specification>

    public enum Specification

extends Enum<Specification>

The specifications from which an interface, method or code list was derived.

Since:
  GeoAPI 2.0

Enum Constant Summary
`ISO_19103` ISO 19103, Geographic information - Conceptual schema language.
`ISO_19107` ISO 19107, Feature Geometry (Topic 1).
`ISO_19108` ISO 19108, Temporal Schema.
`ISO_19111` ISO 19111, Spatial Referencing by Coordinates (Topic 2).
`ISO_19115` ISO 19115, Metadata (Topic 11).
`ISO_19123` ISO 19123, Schema for coverage geometry and functions.
`ISO_19128` ISO 19128, Layers and styles.
`OGC_01004` Grid Coverages implementation specification.
`OGC_01009` Coordinate Transformation Services implementation specification.
`OGC_02059` Filter encoding implementation specification.
`OGC_02070` Styled Layer Descriptor (SLD) implementation specification.
`OGC_03064` GO-1 Application Objects.
`OGC_04094` Web Feature Service implementation specification.
`OGC_07002` Observations and Measurements, part 2: Sampling Features.
`OGC_07022` Observations and Measurements, part 1.
`UNSPECIFIED` Specification not yet determined.

Method Summary
`static Specification` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Specification[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ISO_19103

    public static final Specification ISO_19103

  ISO 19103, Geographic information - Conceptual schema language. This is the specification for some interfaces in package `org.opengis.util`.

### ISO_19107

    public static final Specification ISO_19107

  ISO 19107, Feature Geometry (Topic 1). This is the specification for package `org.opengis.geometry` and sub-packages.

  See Also:
    Buy from ISO

### ISO_19108

    public static final Specification ISO_19108

  ISO 19108, Temporal Schema. This is the specification for package `org.opengis.temporal` and sub-packages.

### ISO_19111

    public static final Specification ISO_19111

  ISO 19111, Spatial Referencing by Coordinates (Topic 2). This is the specification for package `org.opengis.referencing` and sub-packages.

  See Also:
    `OGC_01009`, Download from OGC

### ISO_19115

    public static final Specification ISO_19115

  ISO 19115, Metadata (Topic 11). This is the specification for package `org.opengis.metadata` and sub-packages.

  See Also:
    Buy from ISO

### ISO_19123

    public static final Specification ISO_19123

  ISO 19123, Schema for coverage geometry and functions. This is the specification for package `org.opengis.coverage` and sub-packages.

  See Also:
    `OGC_01004`

### ISO_19128

    public static final Specification ISO_19128

  ISO 19128, Layers and styles. This is the specification for package `org.opengis.layer` and sub-packages.

  See Also:
    Download from OGC

### OGC_03064

    public static final Specification OGC_03064

  GO-1 Application Objects. This is the specification for package `org.opengis.go` and sub-packages.

  See Also:
    Download from OGC

### OGC_01009

    public static final Specification OGC_01009

  Coordinate Transformation Services implementation specification. This is the specification used as a complement of ISO 19111 when an aspect was not defined in the ISO specification.

  See Also:
    `ISO_19111`, Download from OGC

### OGC_01004

    public static final Specification OGC_01004

  Grid Coverages implementation specification. This is the specification used as a complement of ISO 19123 when an aspect was not defined in the ISO specification.

  See Also:
    `ISO_19123`, Download from OGC

### OGC_02059

    public static final Specification OGC_02059

  Filter encoding implementation specification. This is the specification for package `org.opengis.filter` and sub-packages.

  See Also:
    Download from OGC
  TODO:
    Need to be updated to `OGC 04-095`.

### OGC_02070

    public static final Specification OGC_02070

  Styled Layer Descriptor (SLD) implementation specification. This is the specification for package `org.opengis.sld` and sub-packages.

  See Also:
    Download from OGC
  TODO:
    Need to be updated to `OGC 05-078`.

### OGC_04094

    public static final Specification OGC_04094

  Web Feature Service implementation specification. This is the specification for package `org.opengis.feature` and sub-packages.

  See Also:
    Download from OGC

### OGC_07022

    public static final Specification OGC_07022

  Observations and Measurements, part 1. This is the specification for package `org.opengis.observation`.

  See Also:
    Download from OGC
  TODO:
    Need to update the hyperlink.

### OGC_07002

    public static final Specification OGC_07002

  Observations and Measurements, part 2: Sampling Features. This is the specification for package `org.opengis.observation.sampling`.

  See Also:
    Download from OGC
  TODO:
    Need to update the hyperlink.

### UNSPECIFIED

    public static final Specification UNSPECIFIED

  Specification not yet determined. This is a temporary enumeration for the processing of API submitted by some contributors.

Method Detail

### values

    public static Specification[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Specification c : Specification.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Specification valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.